<?php
namespace App\Http\Controllers\Api;

use App\Service\FinanceService;
use Illuminate\Http\Request;

class FinanceController extends BaseController{

    public function financeEdit(Request $request){
        $service = new FinanceService();
        list($status,$data) = $service->financeEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function financeAdd(Request $request){
        $service = new FinanceService();
        list($status,$data) = $service->financeAdd($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function financeDel(Request $request){
        $service = new FinanceService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->financeDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function financeList(Request $request){
        $service = new FinanceService();
        list($status,$data) = $service->financeList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function financeDetailList(Request $request){
        $service = new FinanceService();
        list($status,$data) = $service->financeDetailList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function financeImport(Request $request)
    {
        $service = new FinanceService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->financeImport($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}